import { IRouteContract } from './contracts';
import { IFlightStrategy } from './flight.strategy';
import { RouteModel } from './route.model';

export class FallbackFlightStrategy implements IFlightStrategy {
    getLegs(flight: RouteModel) {
        return [];
    }
    getFlights(flight: RouteModel) {
        return [];
    }

    getFirstLeg(flight: RouteModel) {
        return {} as any;
    }
    getCurrentLeg(flight: RouteModel) {
        return {} as any;
    }
    getLastLeg(flight: RouteModel) {
        return {} as any;
    }

    getFirstFlight(flight: RouteModel) {
        return {} as any;
    }
    getLastFlight(flight: RouteModel) {
        return {} as any;
    }

    getFlightId(flight: RouteModel) {
        return {} as any;
    }

    fromContract(contract: IRouteContract) {
        return {} as any;
    }
}
